using System;

/// <summary>
/// Представляет класс MT_InspLot с атрибутами сериализации и пространством имен "http://lukoil.ru/opcenter/ORM".
/// </summary>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://lukoil.ru/opcenter/ORM")]
[System.Xml.Serialization.XmlRootAttribute(Namespace = "http://lukoil.ru/opcenter/ORM", IsNullable = false)]
public partial class MT_InspLot
{
    private string guigMsgOutbField;
    private string systemSenderField;
    private string systemReceiverField;
    private MT_InspLotStatus statusField;
    private Document documentField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Namespace = "")]
    public string GuigMsgOutb
    {
        get { return this.guigMsgOutbField; }
        set { this.guigMsgOutbField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Namespace = "")]
    public string SystemSender
    {
        get { return this.systemSenderField; }
        set { this.systemSenderField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Namespace = "")]
    public string SystemReceiver
    {
        get { return this.systemReceiverField; }
        set { this.systemReceiverField = value; }
    }

    /// <remarks/>
    public MT_InspLotStatus Status
    {
        get { return this.statusField; }
        set { this.statusField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElementAttribute(Namespace = "")]
    public Document Document
    {
        get { return this.documentField; }
        set { this.documentField = value; }
    }
}

/// <summary>
/// Представляет статус MT_InspLot с атрибутами сериализации и пространством имен "http://lukoil.ru/opcenter/ORM".
/// </summary>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "http://lukoil.ru/opcenter/ORM")]
public partial class MT_InspLotStatus
{
    private string codeField;
    private string textField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Code
    {
        get { return this.codeField; }
        set { this.codeField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Text
    {
        get { return this.textField; }
        set { this.textField = value; }
    }
}

/// <summary>
/// Представляет документ с атрибутами сериализации.
/// </summary>
[System.SerializableAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
[System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
public partial class Document
{
    private string inspectonTypeField;
    private string inspLotSizeField;
    private string materialField;
    private string plantField;
    private string posnrField;
    private string pHYNRField;
    private string inspectionLotField;
    private string batchField;
    private string storageField;
    private string createDateField;
    private string probaField;
    private string unitField;
    private string uOMField;
    private string producedField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string InspectonType
    {
        get { return this.inspectonTypeField; }
        set { this.inspectonTypeField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string InspLotSize
    {
        get { return this.inspLotSizeField; }
        set { this.inspLotSizeField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Material
    {
        get { return this.materialField; }
        set { this.materialField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Plant
    {
        get { return this.plantField; }
        set { this.plantField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Posnr
    {
        get { return this.posnrField; }
        set { this.posnrField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string PHYNR
    {
        get { return this.pHYNRField; }
        set { this.pHYNRField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string InspectionLot
    {
        get { return this.inspectionLotField; }
        set { this.inspectionLotField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Batch
    {
        get { return this.batchField; }
        set { this.batchField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Storage
    {
        get { return this.storageField; }
        set { this.storageField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string CreateDate
    {
        get { return this.createDateField; }
        set { this.createDateField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Proba
    {
        get { return this.probaField; }
        set { this.probaField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Unit
    {
        get { return this.unitField; }
        set { this.unitField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string UOM
    {
        get { return this.uOMField; }
        set { this.uOMField = value; }
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string Produced
    {
        get { return this.producedField; }
        set { this.producedField = value; }
    }
}
